<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogLightingAdv.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="14" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | TBS_HORZ | TBS_BOTH | TBS_TOOLTIPS | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::LightingUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::LightingUI"/>	
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<VirtualBox X="860" Y="25">
						<ColumnLayout ColSpace="20">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Skin">
								<Image File="Image\GK\Theme1\button_setting_normal.png"/>
								<Image File="Image\GK\Theme1\button_setting_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Min">
								<Image File="Image\GK\Theme1\button_min_normal.png"/>
								<Image File="Image\GK\Theme1\button_min_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Close">
								<Image File="Image\GK\Theme1\button_close_normal.png"/>
								<Image File="Image\GK\Theme1\button_close_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--Category Panel-->
					<ImageList X="15" Y="230" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_CategoryTab_0">
						<Image File="Image\GK\Theme1\category_mouse_normal.png"/>
						<Image File="Image\GK\Theme1\category_mouse_over.png"/>
					</ImageList>
					<ImageBox X="15" Y="320" SizeToImage="1" ID="GK::ID_LIGHT_CategoryTab_1" File="Image\GK\Theme1\category_keyboard_active.png"/>
					
					<ImageList X="15" Y="400" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_CategoryTab_2">
						<Image File="Image\GK\Theme1\category_light_control_normal.png"/>
						<Image File="Image\GK\Theme1\category_light_control_over.png"/>
					</ImageList>

					<ImageList Visible="0" X="23" Y="190" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_SyncLED">
						<Image File="Image\GK\Theme1\button_syncLED_normal.png"/>
						<Image File="Image\GK\Theme1\button_syncLED_over.png"/>
						<Image File="Image\GK\Theme1\button_syncLED_disable.png"/>
					</ImageList>
					
					<!--Switch Panel-->
					<ImageList X="307" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_PanelTab_0">
						<Image File="Image\GK\Theme1\tab_inactive.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="436" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_PanelTab_1">
						<Image File="Image\GK\Theme1\tab_normal.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="565" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_PanelTab_2">
						<Image File="Image\GK\Theme1\tab_inactive.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="694" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_PanelTab_3">
						<Image File="Image\GK\Theme1\tab_inactive.png"/>
						<Image File="Image\GK\Theme1\tab_over.png"/>
					</ImageList>
					<Label X="307" Y="50" Width="144" Text="鍵盤自定義" FontHeight="16" FGColor="#969b9b" ID="GK::ID_LIGHT_TabLabel_Custom"/>
					<Label X="436" Y="50" Width="144" Text="背光" FontHeight="16" FGColor="#ffaa00" ID="GK::ID_LIGHT_TabLabel_Lighting"/>
					<Label X="565" Y="50" Width="144" Text="遊戲模式" FontHeight="16" FGColor="#969b9b" ID="GK::ID_LIGHT_TabLabel_Mode"/>
					<Label X="694" Y="50" Width="144" Text="巨集" FontHeight="16" FGColor="#969b9b" ID="GK::ID_LIGHT_TabLabel_MacroUI"/>

					<!--Profiles-->
					<VirtualBox X="28" Y="27">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Profile_0">
								<Image File="Image\GK\Theme1\button_profile_normal.png"/>
								<Image File="Image\GK\Theme1\button_profile_over.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="28" Y="32">
						<RowLayout RowSpace="6">
							<Label FontHeight="20" Width="253" Height="20" FGColor="#ffffff" ID="GK::ID_LIGHT_ProfileLabel_0"/>
						</RowLayout>
					</VirtualBox>
                    
					<!--Light switch-->
					<ImageList X="95" Y="120" Active="0" SizeToImage="1" ID="GK::ID_LIGHT_Switch">
						<Image File="Image\GK\Theme1\gamingmode_off.png"/>
						<Image File="Image\GK\Theme1\gamingmode_on.png"/>
					</ImageList>
					<VirtualBox X="95" Y="120" Width="140" Height="22">
						<ColumnLayout ColWidth="equal" ColAlignV="center">
							<Label Text="開啟" FGColor="#ffffff" ID="GK::ID_LIGHT_OnLabel"/>
							<Label Text="關閉" FGColor="#ffffff" ID="GK::ID_LIGHT_OffLabel"/>
						</ColumnLayout>
					</VirtualBox>

                    <!-- LightMode ListBox -->
                    <ListBox Visible="1" X="95" Y="150" Width="135" Height="200" ID="GK::ID_LIGHT_ModeList" SelItemBKColor="#3399FF" Style="WS_CHILD | WS_VISIBLE | LBS_OWNERDRAWVARIABLE | LBS_HASSTRINGS | LBS_NOTIFY">
						<Item>呼吸</Item>
						<Item>反應</Item>
						<Item>光譜循環</Item>
						<Item>靜態</Item>
						<Item>波浪</Item>
						<Item>爆炸</Item>
						<Item>心跳</Item>
						<Item>自定義</Item>
					</ListBox>

					<!--None effect background-->
					<ImageBox Visible="0" X="95" Y="390" Width="855" Height="200" Stretch="1" Style="WS_CHILD | WS_VISIBLE"  ID="GK::ID_LIGHT_NoneEffect" File="Image\GK\Theme1\lighting_none_effect.png"/>

					<!--Mode label-->
					<Label Visible="0" X="235" Y="105" Width="410" AddHeight="5" Text="自定義" FontHeight="20" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GK::ID_LIGHT_ModeLabel"/>
					
					<!--Lighting panel subtitle-->
					<Label Visible="1" X="105" Y="415" Width="100" Text="顏色" FontHeight="20" FontBold="1" FGColor="#ff0000" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GK::ID_LIGHT_Subtitle_Color"/>
					<Label Visible="0" X="105" Y="415" Width="100" Text="方向" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GK::ID_LIGHT_Subtitle_Direction"/>

					<Label Visible="0" X="360" Y="495" Width="100" Text="速度" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GK::ID_LIGHT_Subtitle_Speed"/>
					<Label Visible="0" X="360" Y="495" Width="100" Text="延遲時間" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GK::ID_LIGHT_Subtitle_Duration"/>

					<Label Visible="1" X="360" Y="415" Width="100" Text="亮度" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GK::ID_LIGHT_Subtitle_Brightness"/>

					<!--Brightness slider-->
					<VirtualBox X="370" Y="445" Width="507" Height="20">
						<ColumnLayout>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_0">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_1">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_2">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_3">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_4">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_5">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_6">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_7">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_8">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_9">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_10">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_11">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_12">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_13">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_14">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_BrightnessSlider_15">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="300" Y="465" Width="650" Height="30">
						<ColumnLayout ColWidth="equal">
							<Label Text="關閉" FGColor="#ffffff" ID="GK::ID_LIGHT_BrightnessLabel_Close"/>
							<Label Text="微亮" FGColor="#ffffff" ID="GK::ID_LIGHT_BrightnessLabel_Small"/>
							<Label Text="正常" FGColor="#ffffff" ID="GK::ID_LIGHT_BrightnessLabel_Mid"/>
							<Label Text="明亮" FGColor="#ffffff" ID="GK::ID_LIGHT_BrightnessLabel_Large"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!--Speed slider-->
					<VirtualBox X="370" Y="525" Width="507" Height="20">
						<ColumnLayout>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_0">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_1">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_2">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_3">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_4">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_5">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_6">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_7">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_8">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_9">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_10">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_11">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_12">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_13">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_14">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Visible="0" Active="0" Width="32" Height="25" ID="GK::ID_LIGHT_SpeedSlider_15">
								<Image File="Image\GK\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="370" Y="555" Width="507" Height="30">
						<ColumnLayout ColWidth="equal">
							<Label Visible="0" Text="慢" FGColor="#ffffff" ID="GK::ID_LIGHT_SpeedLabel_Slow" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label Visible="0" Text="快" FGColor="#ffffff" ID="GK::ID_LIGHT_SpeedLabel_Fast" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_RIGHT"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!--Explosion speed slider-->
					<VirtualBox X="370" Y="525" Width="507" Height="20">
						<ColumnLayout>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_0">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_1">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_2">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_3">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_4">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_5">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_6">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="64" Height="25" ID="GK::ID_LIGHT_Explosion_SpeedSlider_7">
								<Image File="Image\GK\Theme1\lighting_slider_dark_8.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_8.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--Duration slider-->
					<VirtualBox X="370" Y="525" Width="507" Height="20">
						<ColumnLayout>
							<ImageList Visible="0" Active="0" Width="170" Height="25" ID="GK::ID_LIGHT_DurationSlider_0">
								<Image File="Image\GK\Theme1\lighting_slider_dark_3.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_3.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="170" Height="25" ID="GK::ID_LIGHT_DurationSlider_1">
								<Image File="Image\GK\Theme1\lighting_slider_dark_3.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_3.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="170" Height="25" ID="GK::ID_LIGHT_DurationSlider_2">
								<Image File="Image\GK\Theme1\lighting_slider_dark_3.png"/>
								<Image File="Image\GK\Theme1\lighting_slider_light_3.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="370" Y="555" Width="507" Height="30">
						<ColumnLayout ColWidth="equal">
							<Label Visible="0" Text="短" FFGColor="#ffffff" ID="GK::ID_LIGHT_DurationLabel_Short" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label Visible="0" Text="中" FFGColor="#ffffff" ID="GK::ID_LIGHT_DurationLabel_Mid"/>
							<Label Visible="0" Text="長" FFGColor="#ffffff" ID="GK::ID_LIGHT_DurationLabel_Long" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_RIGHT"/>
						</ColumnLayout>
					</VirtualBox>

					<!--Custom mode controller-->
					<ImageList Visible="1" X="118" Y="458" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Configurator">
						<Image File="Image\GK\Theme1\lighting_configurator_normal.png"/>
						<Image File="Image\GK\Theme1\lighting_configurator_over.png"/>
					</ImageList>
					<LinkCtrl X="190" Y="488" Width="50" Text="&lt;a href=&quot;&quot;&gt;配置器&lt;/a&gt;" FontHeight="20" BGColor="000000" BGTrans="1" ID="GK::ID_LIGHT_ConfiguratorLink"/>
			
					<!--Breathing mode controller-->					
					<!--Label Visible="1" X="435" Y="275" Width="120" Text="啟用顏色 2" FontHeight="20" FGColor="#ffffff" ID="GK::ID_LIGHT_EnableColor2Label" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/-->
					
					<Label Visible="0" X="131" Y="447" Width="50" Text="顏色 1" FGColor="#ffffff" ID="GK::ID_LIGHT_ColorLabel_1" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<Label Visible="0" X="131" Y="467" Width="40" Height="40" BGColor="#00ff00" ID="GK::ID_LIGHT_Color_1" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageBox Visible="0" X="131" Y="467" SizeToImage="1" ID="GK::ID_LIGHT_Disable_Color_1" File="Image\GK\Theme1\lighting_color_disable.png"/>
					<ImageBox Visible="0" X="171" Y="467" SizeToImage="1" ID="GK::ID_LIGHT_ColorPicker_1" File="Image\GK\Theme1\lighting_colorpicker.png"/>
					
					<ImageList Visible="1" X="222" Y="447" Active="0" SizeToImage="1" ID="GK::ID_LIGHT_Enable_Color2">
						<Image File="Image\GM\Theme1\checkbox_none_enable_color2.png"/>
						<Image File="Image\GM\Theme1\checkbox_checked_enable_color2.png"/>
					</ImageList>
					<Label Visible="0" X="242" Y="447" Width="50" Text="顏色 2" FGColor="#ffffff" ID="GK::ID_LIGHT_ColorLabel_2" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<Label Visible="0" X="222" Y="467" Width="40" Height="40" BGColor="#0000ff" ID="GK::ID_LIGHT_Color_2" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageBox Visible="0" X="222" Y="467" SizeToImage="1" ID="GK::ID_LIGHT_Disable_Color_2" File="Image\GK\Theme1\lighting_color_disable.png"/>
					<ImageBox Visible="0" X="262" Y="467" SizeToImage="1" ID="GK::ID_LIGHT_ColorPicker_2" File="Image\GK\Theme1\lighting_colorpicker.png"/>
					<Label Visible="0" ID="GK::ID_LIGHT_Color2OnColor" FGColor="#ffffff"/>
					<Label Visible="0" ID="GK::ID_LIGHT_Color2OffColor" FGColor="#3c3c3c"/>
					
					<ImageList Visible="0" X="133" Y="522" Active="0" SizeToImage="1" ID="GK::ID_LIGHT_RandomColor">
						<Image File="Image\GK\Theme1\checkbox_none.png"/>
						<Image File="Image\GK\Theme1\checkbox_checked.png"/>
					</ImageList>
					<Label Visible="0" X="158" Y="522" Width="200" Text="隨機顏色" FontHeight="20" FGColor="#ffffff" ID="GK::ID_LIGHT_RandomColorLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>

					<!--Wave mode controller-->
					<VirtualBox X="118" Y="458" Width="500" Height="30">
						<ColumnLayout ColSpace="30">
							<ImageList  Visible="0" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Wave_Left">
								<Image File="Image\GK\Theme1\lighting_wave_left_inactive.png"/>
								<Image File="Image\GK\Theme1\lighting_wave_left_inactive_over.png"/>
								<Image File="Image\GK\Theme1\lighting_wave_left_active.png"/>
							</ImageList>
							<ImageList  Visible="0" Active="2" OnOverActive="1" SizeToImage="1" ID="GK::ID_LIGHT_Wave_Right">
								<Image File="Image\GK\Theme1\lighting_wave_right_inactive.png"/>
								<Image File="Image\GK\Theme1\lighting_wave_right_inactive_over.png"/>
								<Image File="Image\GK\Theme1\lighting_wave_right_active.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<TextEdit Visible="0" ID="GK::ID_LIGHT_KEY_TEXT"/>
					<NumberEdit Visible="0" ID="GK::ID_LIGHT_KEY_VKCode"/>
					<!--Explosion mode controller-->
					<!--Reactive mode controller-->
					<!--Spectrum mode setting controller-->

					<!--Logo-->
					<ImageBox X="20" Y="20" SizeToImage="1" ID="GK::ID_LIGHT_Logo_TopLeft" File="Image\GK\Theme1\logo_top_left.png"/>
					<ImageBox X="800" Y="615" SizeToImage="1" ID="GK::ID_LIGHT_Logo_BottomRight" File="Image\GK\Theme1\logo_bottom_right.png"/>

                     <!--Key Decorator-->
					<KeyDecoratorLightWnd X="10" Y="10" Visible="0" Width="10" Height="10" Text="" ID="GK::ID_LIGHT_KeyDecoratoTemp" FontName="Arial" FontHeight="7"/> <!--temaporay First invisible bug /-->
					<!--Line 1-->
					<KeyDecoratorLightWnd X="277" Y="134" Width="24" Height="18" Text="Esc" ID="GK::ID_LIGHT_KeyDecorator_0_1" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="335" Y="134" Width="24" Height="18" Text="F1" ID="GK::ID_LIGHT_KeyDecorator_0_2" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="364" Y="134" Width="24" Height="18" Text="F2" ID="GK::ID_LIGHT_KeyDecorator_0_3" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="393" Y="134" Width="24" Height="18" Text="F3" ID="GK::ID_LIGHT_KeyDecorator_0_4" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="422" Y="134" Width="24" Height="18" Text="F4" ID="GK::ID_LIGHT_KeyDecorator_0_5" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="465" Y="134" Width="24" Height="18" Text="F5" ID="GK::ID_LIGHT_KeyDecorator_0_6" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="494" Y="134" Width="24" Height="18" Text="F6" ID="GK::ID_LIGHT_KeyDecorator_0_7" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="523" Y="134" Width="24" Height="18" Text="F7" ID="GK::ID_LIGHT_KeyDecorator_0_8" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="552" Y="134" Width="24" Height="18" Text="F8" ID="GK::ID_LIGHT_KeyDecorator_0_9" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="596" Y="134" Width="24" Height="18" Text="F9" ID="GK::ID_LIGHT_KeyDecorator_0_10" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="625" Y="134" Width="24" Height="18" Text="F10" ID="GK::ID_LIGHT_KeyDecorator_0_11" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="654" Y="134" Width="24" Height="18" Text="F11" ID="GK::ID_LIGHT_KeyDecorator_0_12" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="683" Y="134" Width="24" Height="18" Text="F12" ID="GK::ID_LIGHT_KeyDecorator_0_13" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="718" Y="134" Width="26" Height="18" Text="Print Screen" ID="GK::ID_LIGHT_KeyDecorator_6_4" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="749" Y="134" Width="24" Height="18" Text="Scroll Lock" ID="GK::ID_LIGHT_KeyDecorator_6_5" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="778" Y="134" Width="24" Height="18" Text="Pause" ID="GK::ID_LIGHT_KeyDecorator_6_7" FontName="Arial" FontHeight="7"/>
					<!--Line 2-->
					<KeyDecoratorLightWnd X="277" Y="164" Width="24" Height="22" Text="`" ID="GK::ID_LIGHT_KeyDecorator_1_1" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="306" Y="164" Width="24" Height="22" Text="1" ID="GK::ID_LIGHT_KeyDecorator_1_2" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="335" Y="164" Width="24" Height="22" Text="2" ID="GK::ID_LIGHT_KeyDecorator_1_3" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="364" Y="164" Width="24" Height="22" Text="3" ID="GK::ID_LIGHT_KeyDecorator_1_4" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="393" Y="164" Width="24" Height="22" Text="4" ID="GK::ID_LIGHT_KeyDecorator_1_5" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="422" Y="164" Width="24" Height="22" Text="5" ID="GK::ID_LIGHT_KeyDecorator_1_6" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="451" Y="164" Width="24" Height="22" Text="6" ID="GK::ID_LIGHT_KeyDecorator_1_7" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="480" Y="164" Width="24" Height="22" Text="7" ID="GK::ID_LIGHT_KeyDecorator_1_8" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="509" Y="164" Width="24" Height="22" Text="8" ID="GK::ID_LIGHT_KeyDecorator_1_9" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="538" Y="164" Width="24" Height="22" Text="9" ID="GK::ID_LIGHT_KeyDecorator_1_10" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="567" Y="164" Width="24" Height="22" Text="0" ID="GK::ID_LIGHT_KeyDecorator_1_11" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="596" Y="164" Width="24" Height="22" Text="-" ID="GK::ID_LIGHT_KeyDecorator_1_12" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="625" Y="164" Width="24" Height="22" Text="=" ID="GK::ID_LIGHT_KeyDecorator_1_13" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="652" Y="164" Width="56" Height="22" Text="Backspace" ID="GK::ID_LIGHT_KeyDecorator_5_13" FontName="Arial" FontHeight="9"/>
					<KeyDecoratorLightWnd X="720" Y="164" Width="24" Height="22" Text="Insert" ID="GK::ID_LIGHT_KeyDecorator_6_8" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="749" Y="164" Width="24" Height="22" Text="Home" ID="GK::ID_LIGHT_KeyDecorator_6_9" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="778" Y="164" Width="24" Height="22" Text="Page Up" ID="GK::ID_LIGHT_KeyDecorator_6_10" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="815" Y="164" Width="24" Height="22" Text="Num Lock" ID="GK::ID_LIGHT_KeyDecorator_1_14" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="844" Y="164" Width="24" Height="22" Text="/" ID="GK::ID_LIGHT_KeyDecorator_1_15" FontName="Arial" FontHeight="14"/><!--Num /-->
					<KeyDecoratorLightWnd X="873" Y="164" Width="24" Height="22" Text="*" ID="GK::ID_LIGHT_KeyDecorator_1_16" FontName="Arial" FontHeight="14"/><!--Num *-->
					<KeyDecoratorLightWnd X="902" Y="164" Width="24" Height="22" Text="-" ID="GK::ID_LIGHT_KeyDecorator_6_14" FontName="Arial" FontHeight="14"/><!--Num - -->
					<!--Line 3-->
					<KeyDecoratorLightWnd X="277" Y="192" Width="35" Height="22" Text="Tab" ID="GK::ID_LIGHT_KeyDecorator_2_1" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="321" Y="192" Width="24" Height="22" Text="Q" ID="GK::ID_LIGHT_KeyDecorator_2_2" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="350" Y="192" Width="24" Height="22" Text="W" ID="GK::ID_LIGHT_KeyDecorator_2_3" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="379" Y="192" Width="24" Height="22" Text="E" ID="GK::ID_LIGHT_KeyDecorator_2_4" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="408" Y="192" Width="24" Height="22" Text="R" ID="GK::ID_LIGHT_KeyDecorator_2_5" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="437" Y="192" Width="24" Height="22" Text="T" ID="GK::ID_LIGHT_KeyDecorator_2_6" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="466" Y="192" Width="24" Height="22" Text="Y" ID="GK::ID_LIGHT_KeyDecorator_2_7" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="495" Y="192" Width="24" Height="22" Text="U" ID="GK::ID_LIGHT_KeyDecorator_2_8" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="524" Y="192" Width="24" Height="22" Text="I" ID="GK::ID_LIGHT_KeyDecorator_2_9" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="553" Y="192" Width="24" Height="22" Text="O" ID="GK::ID_LIGHT_KeyDecorator_2_10" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="582" Y="192" Width="24" Height="22" Text="P" ID="GK::ID_LIGHT_KeyDecorator_2_11" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="611" Y="192" Width="24" Height="22" Text="[" ID="GK::ID_LIGHT_KeyDecorator_2_12" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="640" Y="192" Width="24" Height="22" Text="]" ID="GK::ID_LIGHT_KeyDecorator_2_13" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="669" Y="192" Width="37" Height="22" Text="\" ID="GK::ID_LIGHT_KeyDecorator_3_13" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="720" Y="192" Width="24" Height="22" Text="Delete" ID="GK::ID_LIGHT_KeyDecorator_6_11" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="749" Y="192" Width="24" Height="22" Text="End" ID="GK::ID_LIGHT_KeyDecorator_6_12" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="778" Y="192" Width="24" Height="22" Text="Page Down" ID="GK::ID_LIGHT_KeyDecorator_6_13" FontName="Arial" FontHeight="7"/>
					<KeyDecoratorLightWnd X="815" Y="192" Width="24" Height="22" Text="7" ID="GK::ID_LIGHT_KeyDecorator_2_14" FontName="Arial" FontHeight="14"/><!--Num 7-->
					<KeyDecoratorLightWnd X="844" Y="192" Width="24" Height="22" Text="8" ID="GK::ID_LIGHT_KeyDecorator_2_15" FontName="Arial" FontHeight="14"/><!--Num 8-->
					<KeyDecoratorLightWnd X="873" Y="192" Width="24" Height="22" Text="9" ID="GK::ID_LIGHT_KeyDecorator_2_16" FontName="Arial" FontHeight="14"/><!--Num 9-->
					<KeyDecoratorLightWnd X="902" Y="192" Width="24" Height="51" Text="+" ID="GK::ID_LIGHT_KeyDecorator_6_15" FontName="Arial" FontHeight="14"/><!--Num +-->
					<!--Line 4-->
					<KeyDecoratorLightWnd X="277" Y="222" Width="43" Height="22" Text="Caps" ID="GK::ID_LIGHT_KeyDecorator_3_1" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="328" Y="222" Width="24" Height="22" Text="A" ID="GK::ID_LIGHT_KeyDecorator_3_2" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="357" Y="222" Width="24" Height="22" Text="S" ID="GK::ID_LIGHT_KeyDecorator_3_3" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="386" Y="222" Width="24" Height="22" Text="D" ID="GK::ID_LIGHT_KeyDecorator_3_4" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="415" Y="222" Width="24" Height="22" Text="F" ID="GK::ID_LIGHT_KeyDecorator_3_5" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="444" Y="222" Width="24" Height="22" Text="G" ID="GK::ID_LIGHT_KeyDecorator_3_6" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="473" Y="222" Width="24" Height="22" Text="H" ID="GK::ID_LIGHT_KeyDecorator_3_7" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="502" Y="222" Width="24" Height="22" Text="J" ID="GK::ID_LIGHT_KeyDecorator_3_8" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="531" Y="222" Width="24" Height="22" Text="K" ID="GK::ID_LIGHT_KeyDecorator_3_9" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="560" Y="222" Width="24" Height="22" Text="L" ID="GK::ID_LIGHT_KeyDecorator_3_10" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="589" Y="222" Width="24" Height="22" Text=";:" ID="GK::ID_LIGHT_KeyDecorator_3_11" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="618" Y="222" Width="24" Height="22" Text="'" ID="GK::ID_LIGHT_KeyDecorator_3_12" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="647" Y="222" Width="59" Height="22" Text="Enter" ID="GK::ID_LIGHT_KeyDecorator_4_13" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="815" Y="222" Width="24" Height="22" Text="4" ID="GK::ID_LIGHT_KeyDecorator_3_14" FontName="Arial" FontHeight="14"/><!--Num 4-->
					<KeyDecoratorLightWnd X="844" Y="222" Width="24" Height="22" Text="5" ID="GK::ID_LIGHT_KeyDecorator_3_15" FontName="Arial" FontHeight="14"/><!--Num 5-->
					<KeyDecoratorLightWnd X="873" Y="222" Width="24" Height="22" Text="6" ID="GK::ID_LIGHT_KeyDecorator_3_16" FontName="Arial" FontHeight="14"/><!--Num 6-->
					<!--Line 5-->
					<KeyDecoratorLightWnd X="277" Y="252" Width="58" Height="22" Text="Shift" ID="GK::ID_LIGHT_KeyDecorator_4_1" FontName="Arial" FontHeight="10"/><!--Left Shift-->
					<KeyDecoratorLightWnd X="343" Y="252" Width="24" Height="22" Text="Z" ID="GK::ID_LIGHT_KeyDecorator_4_2" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="372" Y="252" Width="24" Height="22" Text="X" ID="GK::ID_LIGHT_KeyDecorator_4_3" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="401" Y="252" Width="24" Height="22" Text="C" ID="GK::ID_LIGHT_KeyDecorator_4_4" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="430" Y="252" Width="24" Height="22" Text="V" ID="GK::ID_LIGHT_KeyDecorator_4_5" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="459" Y="252" Width="24" Height="22" Text="B" ID="GK::ID_LIGHT_KeyDecorator_4_6" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="488" Y="252" Width="24" Height="22" Text="N" ID="GK::ID_LIGHT_KeyDecorator_4_7" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="517" Y="252" Width="24" Height="22" Text="M" ID="GK::ID_LIGHT_KeyDecorator_4_8" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="546" Y="252" Width="24" Height="22" Text=",&lt;" ID="GK::ID_LIGHT_KeyDecorator_4_9" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="575" Y="252" Width="24" Height="22" Text=".&gt;" ID="GK::ID_LIGHT_KeyDecorator_4_10" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="604" Y="252" Width="24" Height="22" Text="/?" ID="GK::ID_LIGHT_KeyDecorator_4_11" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="633" Y="252" Width="75" Height="22" Text="Shift" ID="GK::ID_LIGHT_KeyDecorator_4_12" FontName="Arial" FontHeight="10"/><!--Right Shift-->
					<KeyDecoratorLightWnd X="749" Y="252" Width="24" Height="22" Text="↑" ID="GK::ID_LIGHT_KeyDecorator_5_11" FontName="Arial" FontHeight="14"/><!--Up-->
					<KeyDecoratorLightWnd X="815" Y="252" Width="24" Height="22" Text="1" ID="GK::ID_LIGHT_KeyDecorator_4_14" FontName="Arial" FontHeight="14"/><!--Num 1-->
					<KeyDecoratorLightWnd X="844" Y="252" Width="24" Height="22" Text="2" ID="GK::ID_LIGHT_KeyDecorator_4_15" FontName="Arial" FontHeight="14"/><!--Num 2-->
					<KeyDecoratorLightWnd X="873" Y="252" Width="24" Height="22" Text="3" ID="GK::ID_LIGHT_KeyDecorator_4_16" FontName="Arial" FontHeight="14"/><!--Num 3-->
					<KeyDecoratorLightWnd X="902" Y="252" Width="24" Height="51" Text="Enter" ID="GK::ID_LIGHT_KeyDecorator_5_16" FontName="Arial" FontHeight="7"/><!--Num Enter-->
					<!--Line 6-->
					<KeyDecoratorLightWnd X="277" Y="279" Width="31" Height="22" Text="Ctrl" ID="GK::ID_LIGHT_KeyDecorator_5_1" FontName="Arial" FontHeight="10"/><!--Left Ctrl-->
					<KeyDecoratorLightWnd X="313" Y="279" Width="31" Height="22" Text="" ID="GK::ID_LIGHT_KeyDecorator_5_2" FontName="Wingdings" FontHeight="14"/><!--Left Win-->
					<KeyDecoratorLightWnd X="349" Y="279" Width="31" Height="22" Text="Alt" ID="GK::ID_LIGHT_KeyDecorator_5_3" FontName="Arial" FontHeight="10"/><!--Left Alt-->
					<KeyDecoratorLightWnd X="385" Y="279" Width="175" Height="22" Text="───" ID="GK::ID_LIGHT_KeyDecorator_5_4" FontName="Arial" FontHeight="14"/>
					<KeyDecoratorLightWnd X="568" Y="279" Width="31" Height="22" Text="Alt" ID="GK::ID_LIGHT_KeyDecorator_5_5" FontName="Arial" FontHeight="10"/><!--Right Alt-->
					<KeyDecoratorLightWnd X="604" Y="279" Width="31" Height="22" Text="FN" ID="GK::ID_LIGHT_KeyDecorator_5_6" FontName="Arial" FontHeight="10"/>
					<KeyDecoratorLightWnd X="640" Y="279" Width="31" Height="22" Text="" ID="GK::ID_LIGHT_KeyDecorator_5_7" FontName="Wingdings" FontHeight="14"/>
					<KeyDecoratorLightWnd X="676" Y="279" Width="31" Height="22" Text="Ctrl" ID="GK::ID_LIGHT_KeyDecorator_5_8" FontName="Arial" FontHeight="10"/><!--Right Ctrl-->
					<KeyDecoratorLightWnd X="720" Y="279" Width="24" Height="22" Text="←" ID="GK::ID_LIGHT_KeyDecorator_5_9" FontName="Arial" FontHeight="14"/><!--Left-->
					<KeyDecoratorLightWnd X="749" Y="279" Width="24" Height="22" Text="↓" ID="GK::ID_LIGHT_KeyDecorator_5_10" FontName="Arial" FontHeight="14"/><!--Down-->
					<KeyDecoratorLightWnd X="778" Y="279" Width="24" Height="22" Text="→" ID="GK::ID_LIGHT_KeyDecorator_5_12" FontName="Arial" FontHeight="14"/><!--Right-->
					<KeyDecoratorLightWnd X="815" Y="279" Width="52" Height="22" Text="0" ID="GK::ID_LIGHT_KeyDecorator_5_14" FontName="Arial" FontHeight="14"/><!--Num 0-->
					<KeyDecoratorLightWnd X="873" Y="279" Width="24" Height="22" Text="." ID="GK::ID_LIGHT_KeyDecorator_5_15" FontName="Arial" FontHeight="14"/><!--Num .-->
					<!-- LED Bar-->
					<!--KeyDecoratorLightWnd X="397" Y="373" Visible="1" Width="332" Height="6" BGColor="#d7d7d7" ID="GK::ID_LIGHT_LEDColorBoxFrame" /-->
					<!--KeyDecoratorLightWnd X="395" Y="306" Visible="1" Width="24" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_3"/>
					<KeyDecoratorLightWnd X="419" Y="306" Visible="1" Width="23" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_4"/>
					<KeyDecoratorLightWnd X="442" Y="306" Visible="1" Width="23" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_5"/>
					<KeyDecoratorLightWnd X="465" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_6"/>
					<KeyDecoratorLightWnd X="487" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_7"/>
					<KeyDecoratorLightWnd X="509" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_8"/>
					<KeyDecoratorLightWnd X="531" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_9"/>
					<KeyDecoratorLightWnd X="553" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_10"/>
					<KeyDecoratorLightWnd X="575" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_11"/>
					<KeyDecoratorLightWnd X="597" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_12"/>
					<KeyDecoratorLightWnd X="619" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_13"/>
					<KeyDecoratorLightWnd X="641" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_14"/>
					<KeyDecoratorLightWnd X="663" Y="306" Visible="1" Width="23" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_15"/>
					<KeyDecoratorLightWnd X="686" Y="306" Visible="1" Width="23" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_16"/>
					<KeyDecoratorLightWnd X="709" Y="306" Visible="1" Width="22" Height="5" BGColor="#ff0000" ID="GK::ID_LIGHT_KeyDecorator_7_17"/-->
				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::SkinDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::ConfiguratorDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbXLSReader" PluginID="GK::LightingUI"/>
			<Collaboration ExtensionPointID="I_PbLEDSimulatorParameter" PluginID="GK::LightingUI"/>
			<Collaboration ExtensionPointID="I_PbLEDSimulatorDelegation" PluginID="GK::LightingUI"/>
			<Collaboration ExtensionPointID="CWTWidgetFactoryEx" PluginID="GK::KeyDecorator"/>
			<Collaboration ExtensionPointID="GK::I_PbKeyboardHook" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::KeyboardIDMapping"/>
			<ExtraConfig>
				<LEDSimulation>
					<Profile RowCount="8" ColCount="23" NoEffectColor="#000000"/>
					<FireEvent Mouse="1" Keyboard="1"/>
					<!--Effect File-->
					<EffectDBFile>LightingEffect.db</EffectDBFile>
					<!--Mode Mapping-->
					<ModeMapping ModeIndex="1" DirectionIndex="-1" EffectName="Breath"/>
					<ModeMapping ModeIndex="2" DirectionIndex="-1" EffectName="Reaction"/>
					<ModeMapping ModeIndex="3" DirectionIndex="-1" EffectName="Spectrum"/>
					<ModeMapping ModeIndex="4" DirectionIndex="-1" EffectName="Static"/>
					<ModeMapping ModeIndex="5" DirectionIndex="0" EffectName="Wave_LtoR"/>
					<ModeMapping ModeIndex="5" DirectionIndex="1" EffectName="Wave_RtoL"/>
					<ModeMapping ModeIndex="6" DirectionIndex="-1" EffectName="Explosion"/>
					<ModeMapping ModeIndex="7" DirectionIndex="-1" EffectName="HeartBeating"/>
					<!--Color Mapping-->
					<ColorMapping OriColor="#0096ff" SimColor="#40B0FF"/>
					<ColorMapping OriColor="#0000ff" SimColor="#3080FF"/>
					<ColorMapping OriColor="#000096" SimColor="#3030FF"/>
					<!--Line 1-->
					<KeyMapping OriRow="0" OriCol="1" SimRow="0" SimCol="0"/>
					<KeyMapping OriRow="0" OriCol="2" SimRow="0" SimCol="2"/>
					<KeyMapping OriRow="0" OriCol="3" SimRow="0" SimCol="3"/>
					<KeyMapping OriRow="0" OriCol="4" SimRow="0" SimCol="4"/>
					<KeyMapping OriRow="0" OriCol="5" SimRow="0" SimCol="5"/>
					<KeyMapping OriRow="0" OriCol="6" SimRow="0" SimCol="6"/>
					<KeyMapping OriRow="0" OriCol="7" SimRow="0" SimCol="7"/>
					<KeyMapping OriRow="0" OriCol="8" SimRow="0" SimCol="8"/>
					<KeyMapping OriRow="0" OriCol="9" SimRow="0" SimCol="9"/>
					<KeyMapping OriRow="0" OriCol="10" SimRow="0" SimCol="10"/>
					<KeyMapping OriRow="0" OriCol="11" SimRow="0" SimCol="11"/>
					<KeyMapping OriRow="0" OriCol="12" SimRow="0" SimCol="12"/>
					<KeyMapping OriRow="0" OriCol="13" SimRow="0" SimCol="13"/>
					<KeyMapping OriRow="6" OriCol="4" SimRow="0" SimCol="14"/>
					<KeyMapping OriRow="6" OriCol="5" SimRow="0" SimCol="15"/>
					<KeyMapping OriRow="6" OriCol="7" SimRow="0" SimCol="16"/>
					<!--Line 2-->
					<KeyMapping OriRow="1" OriCol="1" SimRow="1" SimCol="0"/>
					<KeyMapping OriRow="1" OriCol="2" SimRow="1" SimCol="1"/>
					<KeyMapping OriRow="1" OriCol="3" SimRow="1" SimCol="2"/>
					<KeyMapping OriRow="1" OriCol="4" SimRow="1" SimCol="3"/>
					<KeyMapping OriRow="1" OriCol="5" SimRow="1" SimCol="4"/>
					<KeyMapping OriRow="1" OriCol="6" SimRow="1" SimCol="5"/>
					<KeyMapping OriRow="1" OriCol="7" SimRow="1" SimCol="6"/>
					<KeyMapping OriRow="1" OriCol="8" SimRow="1" SimCol="7"/>
					<KeyMapping OriRow="1" OriCol="9" SimRow="1" SimCol="8"/>
					<KeyMapping OriRow="1" OriCol="10" SimRow="1" SimCol="9"/>
					<KeyMapping OriRow="1" OriCol="11" SimRow="1" SimCol="10"/>
					<KeyMapping OriRow="1" OriCol="12" SimRow="1" SimCol="11"/>
					<KeyMapping OriRow="1" OriCol="13" SimRow="1" SimCol="12"/>
					<KeyMapping OriRow="5" OriCol="13" SimRow="1" SimCol="13"/>
					<KeyMapping OriRow="6" OriCol="8" SimRow="1" SimCol="14"/>
					<KeyMapping OriRow="6" OriCol="9" SimRow="1" SimCol="15"/>
					<KeyMapping OriRow="6" OriCol="10" SimRow="1" SimCol="16"/>
					<KeyMapping OriRow="1" OriCol="14" SimRow="1" SimCol="17"/>
					<KeyMapping OriRow="1" OriCol="15" SimRow="1" SimCol="18"/>
					<KeyMapping OriRow="1" OriCol="16" SimRow="1" SimCol="19"/>
					<KeyMapping OriRow="6" OriCol="14" SimRow="1" SimCol="20"/>
					<!--Line 3-->
					<KeyMapping OriRow="2" OriCol="1" SimRow="2" SimCol="0"/>
					<KeyMapping OriRow="2" OriCol="2" SimRow="2" SimCol="1"/>
					<KeyMapping OriRow="2" OriCol="3" SimRow="2" SimCol="2"/>
					<KeyMapping OriRow="2" OriCol="4" SimRow="2" SimCol="3"/>
					<KeyMapping OriRow="2" OriCol="5" SimRow="2" SimCol="4"/>
					<KeyMapping OriRow="2" OriCol="6" SimRow="2" SimCol="5"/>
					<KeyMapping OriRow="2" OriCol="7" SimRow="2" SimCol="6"/>
					<KeyMapping OriRow="2" OriCol="8" SimRow="2" SimCol="7"/>
					<KeyMapping OriRow="2" OriCol="9" SimRow="2" SimCol="8"/>
					<KeyMapping OriRow="2" OriCol="10" SimRow="2" SimCol="9"/>
					<KeyMapping OriRow="2" OriCol="11" SimRow="2" SimCol="10"/>
					<KeyMapping OriRow="2" OriCol="12" SimRow="2" SimCol="11"/>
					<KeyMapping OriRow="2" OriCol="13" SimRow="2" SimCol="12"/>
					<KeyMapping OriRow="3" OriCol="13" SimRow="2" SimCol="13"/>
					<KeyMapping OriRow="6" OriCol="11" SimRow="2" SimCol="14"/>
					<KeyMapping OriRow="6" OriCol="12" SimRow="2" SimCol="15"/>
					<KeyMapping OriRow="6" OriCol="13" SimRow="2" SimCol="16"/>
					<KeyMapping OriRow="2" OriCol="14" SimRow="2" SimCol="17"/>
					<KeyMapping OriRow="2" OriCol="15" SimRow="2" SimCol="18"/>
					<KeyMapping OriRow="2" OriCol="16" SimRow="2" SimCol="19"/>
					<KeyMapping OriRow="6" OriCol="15" SimRow="2" SimCol="20"/>
					<!--Line 4-->
					<KeyMapping OriRow="3" OriCol="1" SimRow="3" SimCol="0"/>
					<KeyMapping OriRow="3" OriCol="2" SimRow="3" SimCol="1"/>
					<KeyMapping OriRow="3" OriCol="3" SimRow="3" SimCol="2"/>
					<KeyMapping OriRow="3" OriCol="4" SimRow="3" SimCol="3"/>
					<KeyMapping OriRow="3" OriCol="5" SimRow="3" SimCol="4"/>
					<KeyMapping OriRow="3" OriCol="6" SimRow="3" SimCol="5"/>
					<KeyMapping OriRow="3" OriCol="7" SimRow="3" SimCol="6"/>
					<KeyMapping OriRow="3" OriCol="8" SimRow="3" SimCol="7"/>
					<KeyMapping OriRow="3" OriCol="9" SimRow="3" SimCol="8"/>
					<KeyMapping OriRow="3" OriCol="10" SimRow="3" SimCol="9"/>
					<KeyMapping OriRow="3" OriCol="11" SimRow="3" SimCol="10"/>
					<KeyMapping OriRow="3" OriCol="12" SimRow="3" SimCol="11"/>
					<KeyMapping OriRow="4" OriCol="13" SimRow="3" SimCol="13"/>
					<KeyMapping OriRow="3" OriCol="14" SimRow="3" SimCol="17"/>
					<KeyMapping OriRow="3" OriCol="15" SimRow="3" SimCol="18"/>
					<KeyMapping OriRow="3" OriCol="16" SimRow="3" SimCol="19"/>
					<!--Line 5-->
					<KeyMapping OriRow="4" OriCol="1" SimRow="4" SimCol="0"/>
					<KeyMapping OriRow="4" OriCol="2" SimRow="4" SimCol="1"/>
					<KeyMapping OriRow="4" OriCol="3" SimRow="4" SimCol="2"/>
					<KeyMapping OriRow="4" OriCol="4" SimRow="4" SimCol="3"/>
					<KeyMapping OriRow="4" OriCol="5" SimRow="4" SimCol="4"/>
					<KeyMapping OriRow="4" OriCol="6" SimRow="4" SimCol="5"/>
					<KeyMapping OriRow="4" OriCol="7" SimRow="4" SimCol="6"/>
					<KeyMapping OriRow="4" OriCol="8" SimRow="4" SimCol="7"/>
					<KeyMapping OriRow="4" OriCol="9" SimRow="4" SimCol="8"/>
					<KeyMapping OriRow="4" OriCol="10" SimRow="4" SimCol="9"/>
					<KeyMapping OriRow="4" OriCol="11" SimRow="4" SimCol="10"/>
					<KeyMapping OriRow="4" OriCol="12" SimRow="4" SimCol="13"/>
					<KeyMapping OriRow="5" OriCol="11" SimRow="4" SimCol="15"/>
					<KeyMapping OriRow="4" OriCol="14" SimRow="4" SimCol="17"/>
					<KeyMapping OriRow="4" OriCol="15" SimRow="4" SimCol="18"/>
					<KeyMapping OriRow="4" OriCol="16" SimRow="4" SimCol="19"/>
					<KeyMapping OriRow="5" OriCol="16" SimRow="4" SimCol="20"/>
					<!--Line 6-->
					<KeyMapping OriRow="5" OriCol="1" SimRow="5" SimCol="0"/>
					<KeyMapping OriRow="5" OriCol="2" SimRow="5" SimCol="1"/>
					<KeyMapping OriRow="5" OriCol="3" SimRow="5" SimCol="2"/>
					<KeyMapping OriRow="5" OriCol="4" SimRow="5" SimCol="5"/>
					<KeyMapping OriRow="5" OriCol="5" SimRow="5" SimCol="8"/>
					<KeyMapping OriRow="5" OriCol="6" SimRow="5" SimCol="10"/>
					<KeyMapping OriRow="5" OriCol="7" SimRow="5" SimCol="12"/>
					<KeyMapping OriRow="5" OriCol="8" SimRow="5" SimCol="13"/>
					<KeyMapping OriRow="5" OriCol="9" SimRow="5" SimCol="14"/>
					<KeyMapping OriRow="5" OriCol="10" SimRow="5" SimCol="15"/>
					<KeyMapping OriRow="5" OriCol="12" SimRow="5" SimCol="16"/>
					<KeyMapping OriRow="5" OriCol="14" SimRow="5" SimCol="17"/>
					<KeyMapping OriRow="5" OriCol="15" SimRow="5" SimCol="19"/>
				</LEDSimulation>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GK::LightingUI"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::LightingUI"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbXLSReader" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="XLSPack.dll" Enable="1"/>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbLEDSimulatorParameter" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="GamingKeyboardMain.dll" Enable="1"/>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbLEDSimulatorDelegation" Enable="1">
		<Plugin ID="GK::LightingUI" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWidgetFactoryEx" PluginID="GK::KeyDecorator"/>
		</Plugin>
	</ExtensionPoint>

</File>
